GET

departmentteachers API

Retrieve and manage departmentteachers records from the Apps4Edu sync database.

Endpoint Path

GET /api/departmentteachers

CURL Example

curl "https://api.apps4education.co.uk/api/departmentteachers?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
departmentID int
startDate datetime
endDate datetime
personID int
collectionRoleTypeDescription text
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "departmentID": 101,
      "startDate": "example_value",
      "endDate": "example_value",
      "personID": 101,
      "collectionRoleTypeDescription": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.